# ``subvertpy`.`marshall``

module documentation

Marshalling for the svn_ra protocol.

Class | `literal` | A protocol literal.
Class | `MarshallError` | A Marshall error.
Class | `NeedMoreData` | More data needed.
Function | `marshall` | Marshall a Python data item.
Function | `unmarshall` | Unmarshall the next item from a buffer.

def marshall(x):
Marshall a Python data item.

Parameters
x | Data item
Returns
encoded byte string

def unmarshall(x):
Unmarshall the next item from a buffer.

Parameters
x | Bytes to parse
Returns
tuple with unpacked item and remaining bytes